#include <windows.h>

BOOL CALLBACK EnumChildProc(HWND hwnd, LPARAM lParam);

int WINAPI WinMain (HINSTANCE, HINSTANCE, LPSTR, int)
{
	Sleep(4000);
	HWND target = GetForegroundWindow();
	EnumChildProc(target, (LPARAM)&target);
	SendMessage(target, WM_SETTEXT, 0, (LPARAM)"This program is in the public domain.");
}

BOOL CALLBACK EnumChildProc(HWND parent, LPARAM best)
{
	int length1 = SendMessage(parent, WM_GETTEXTLENGTH, 0, 0);
	int length2 = SendMessage(*((HWND *)best), WM_GETTEXTLENGTH, 0, 0);
	if (length1 > length2)
		*((HWND *)best) = parent;
	EnumChildWindows(parent, &EnumChildProc, best);
	return TRUE;
}
